namespace AddisonWesley.Michaelis.EssentialCSharp.Chapter15.Listing15_05
{
    using System;

    public class Program
    {
        public static void Main()
        {
            System.Collections.Generic.Stack<int> stack =
                new System.Collections.Generic.Stack<int>();
            int number;
            // ...

            // Jest to kod „teoretyczny”, a nie używany w praktyce.
            while (stack.Pop() != -1) // Nie jest to prawidłowa technika, ale ważna jest tu pętla while, a nie stos
            {
                number = stack.Peek();
                Console.WriteLine(number);
            }
        }
    }
}
